create table vendedores
(codigo_vendedor integer not null,
codigo_cidade integer,
codigo_uf integer,
nome varchar(30),
endereco varchar(30),
bairro varchar(30),
email varchar(30),
telefone varchar(10),
cep varchar(8),
valor_salario numeric(10,2),
valor_venda numeric(10,2),
valor_comissao numeric(10,2),
valor_total numeric(10,2),
constraint pkvendedores primary key(codigo_vendedor),
constraint fkvendedoresestado foreign key(codigo_uf)
references estado(codigo_uf),
constraint fkvendedorescidades foreign key(codigo_cidade)
references cidades(codigo_cidade));
