unit Menu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, Menus;

type
  TFormMagazine = class(TForm)
    Timer1: TTimer;
    StatusBar1: TStatusBar;
    MainMenu1: TMainMenu;
    Arquivo1: TMenuItem;
    Sair1: TMenuItem;
    Cadastros1: TMenuItem;
    Cidades1: TMenuItem;
    Clientes1: TMenuItem;
    Fornecedores1: TMenuItem;
    Vendedores1: TMenuItem;
    Produtos1: TMenuItem;
    Image1: TImage;
    itens1: TMenuItem;
    Vendas1: TMenuItem;
    Sobre1: TMenuItem;
    Programa1: TMenuItem;
    procedure Timer1Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Sair1Click(Sender: TObject);
    procedure Cidades1Click(Sender: TObject);
    procedure Clientes1Click(Sender: TObject);
    procedure Fornecedores1Click(Sender: TObject);
    procedure Vendedores1Click(Sender: TObject);
    procedure Produtos1Click(Sender: TObject);
    procedure itens1Click(Sender: TObject);
    procedure Vendas1Click(Sender: TObject);
    procedure Programa1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMagazine: TFormMagazine;

implementation

uses Cidades, Clientes, Fornecedores, Vendedores, Produtos,
  RelFornecedores, RelClientes, RelVendedores, RelProdutos, Itens, Unit2,
  Unit3;

{$R *.dfm}

procedure TFormMagazine.Timer1Timer(Sender: TObject);
begin
 StatusBar1.Panels[0].Text := ' ' + FormatDateTime('hh:nn:ss',now);  
 StatusBar1.Panels[1].Text := ' ' + FormatDateTime ('dddd", "dd" de "mmmm" de "yyyy',now);
end;

procedure TFormMagazine.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
 if MessageDlg('Deseja fechar a aplicao?', mtConfirmation,
                  [mbYes, mbNo], 0) = mrYes then
begin
Action := caFree;
end
else
Action := caNone ;
end;

procedure TFormMagazine.Sair1Click(Sender: TObject);
begin
 FormMagazine.Close;
end;

procedure TFormMagazine.Cidades1Click(Sender: TObject);
begin
 FormCidades.Show;
end;

procedure TFormMagazine.Clientes1Click(Sender: TObject);
begin
 FormClientes.Show;
end;

procedure TFormMagazine.Fornecedores1Click(Sender: TObject);
begin
 FormFornecedores.Show;
end;

procedure TFormMagazine.Vendedores1Click(Sender: TObject);
begin
 FormVendedores.Show;
end;

procedure TFormMagazine.Produtos1Click(Sender: TObject);
begin
FormProdutos.Show;
end;

procedure TFormMagazine.itens1Click(Sender: TObject);
begin
Formitens.Show;
end;

procedure TFormMagazine.Vendas1Click(Sender: TObject);
begin
FormVenda.Show;
end;

procedure TFormMagazine.Programa1Click(Sender: TObject);
begin
AboutBox.Show;
end;

end.
